GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Functions
tcp_client.h File Reference
`#include "src/core/iomgr/endpoint.h"`
`#include "src/core/iomgr/pollset_set.h"`
`#include "src/core/iomgr/sockaddr.h"`
`#include <grpc/support/time.h>`

Go to the source code of this file.

## Functions
void | grpc_tcp_client_connect (void(*cb)(void *arg, grpc_endpoint *tcp), void *arg, grpc_pollset_set *interested_parties, const struct sockaddr *addr, int addr_len, gpr_timespec deadline)

## Function Documentation

void grpc_tcp_client_connect | ( | void(*)(void *arg, grpc_endpoint *tcp) | cb,
|  | void * | arg,
|  | grpc_pollset_set * | interested_parties,
|  | const struct sockaddr * | addr,
|  | int | addr_len,
|  | gpr_timespec | deadline
| ) |  |